Skip to content

Get customer group pricelist

GET
/v1/api/customer-group/{code}/pricelist

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

code*
Type
string
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
filter.priceList.status

Filter by priceList.status query param.


Format: filter.priceList.status={$not}:OPERATION:VALUE



Example: filter.priceList.status=$not:$like:John Doe&filter.priceList.status=like:John


Available Operations

  • $eq

Type
array
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: id:DESC


Available Fields

  • id
  • priority
  • priceList.priority
Type
array

Responses

application/json
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI